summaryrefslogtreecommitdiffstats
path: root/opensuse/gentarball
diff options
context:
space:
mode:
Diffstat (limited to 'opensuse/gentarball')
-rwxr-xr-xopensuse/gentarball57
1 files changed, 57 insertions, 0 deletions
diff --git a/opensuse/gentarball b/opensuse/gentarball
new file mode 100755
index 000000000..20df73b6b
--- /dev/null
+++ b/opensuse/gentarball
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+VERSION=$1
+if [ "$1" == "" ]; then
+VERSION=3.5.12.99
+fi
+
+createTarball()
+{
+cp -r $NAME $NAME-$VERSION
+tar cjf $NAME-$VERSION.tar.bz2 $NAME-$VERSION
+rm -rf $NAME-$VERSION
+}
+
+grabDepends()
+{
+svn export svn://anonsvn.kde.org/home/kde/branches/trinity/dependencies/$NAME
+createTarball
+rm -rf $NAME
+echo "done"
+}
+
+echo "I need to know what you want to generate a tarball for."
+echo ""
+echo "Version is set to $VERSION. If you want to change it,"
+echo "please pass it as a parameter to this script."
+echo ""
+echo "Let's start off by dependencies, main, or apps."
+echo "Which one?"
+echo ""
+echo "(1) dependencies"
+echo "(2) main"
+echo "(3) applications"
+echo -e "> "
+read SELECTION
+
+if [ "$SELECTION" = "1" ]; then
+ clear
+ echo "Dependencies: Select what you want us to generate."
+ echo "(1) libtqt4"
+ echo "(2) dbus-1-tqt"
+ echo "(3) libdbus-1-tqt-0"
+ echo "(4) arts"
+ read CHOICE
+
+ if [ "$CHOICE" = "1" ]; then NAME='tqtinterface';
+ elif [ "$CHOICE" = "2" ]; then NAME='dbus-tqt';
+ elif [ "$CHOICE" = "3" ]; then NAME='dbus-1-tqt';
+ elif [ "$CHOICE" = "4" ]; then NAME='arts';
+ else
+ echo "Invalid, bye." && exit 1
+ fi
+ grabDepends
+else
+ echo "Invalid, bye." && exit 1
+fi
+